
pub fn uswitch(text: &String) -> String {
    let mut result: String = String::with_capacity(text.len());
    for b in text.bytes() {
        result.push(char::from_u32(b as u32 ^ 'U' as u32).unwrap_or('?'));
    }
    result
}

#[cfg(test)]
mod tests {
    use super::*;

    #[test]
    fn uswitch_test() {
        let t1: String = String::from("hello world");
        assert_eq!(uswitch(&t1), String::from("=099:u\":'91"));
    }
}
